oojs/router: main (log #315658)

sourcepatches

This run took 66 seconds.

From 9df4aa50edb4bf258e390168ed952f6d4b1e6f42 Mon Sep 17 00:00:00 2001
From: libraryupgrader <tools.libraryupgrader@tools.wmflabs.org>
Date: Mon, 7 Jun 2021 12:25:07 +0000
Subject: [PATCH] build: Updating ws to 7.4.6

* https://npmjs.com/advisories/1748 (CVE-2021-32640)

Change-Id: Ic9ba848249e1d0180301a9dd91dd11ad948d8827
---
 package-lock.json | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/package-lock.json b/package-lock.json
index 3fd6477..7e9a3e7 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -4022,9 +4022,9 @@
 			"dev": true
 		},
 		"ws": {
-			"version": "7.4.5",
-			"resolved": "https://registry.npmjs.org/ws/-/ws-7.4.5.tgz",
-			"integrity": "sha512-xzyu3hFvomRfXKH8vOFMU3OguG6oOvhXMo3xsGy3xWExqaM2dxBbVxuD99O7m3ZUFMvvscsZDqxfgMaRr/Nr1g==",
+			"version": "7.4.6",
+			"resolved": "https://registry.npmjs.org/ws/-/ws-7.4.6.tgz",
+			"integrity": "sha512-YmhHDO4MzaDLB+M9ym/mDA5z0naX8j7SIlT8f8z+I0VtzsRbekxEutHSme7NPS2qE8StCYQNUnfWdXta/Yu85A==",
 			"dev": true
 		},
 		"y18n": {
-- 
2.20.1

$ date
Mon Jun  7 12:24:03 UTC 2021

$ git clone file:///srv/git/oojs-router.git repo --depth=1 -b master
Cloning into 'repo'...

$ git config user.name libraryupgrader

$ git config user.email tools.libraryupgrader@tools.wmflabs.org

$ git submodule update --init

$ grr init
Installed commit-msg hook.

$ git show-ref refs/heads/master
32d0e690243ada64091e13a0aeaf277804a4da9a refs/heads/master

Attempting to npm audit fix
$ npm audit fix --only=dev

> core-js@3.12.1 postinstall /src/repo/node_modules/core-js
> node -e "try{require('./postinstall')}catch(e){}"

Thank you for using core-js ( https://github.com/zloirock/core-js ) for polyfilling JavaScript standard library!

The project needs your help! Please consider supporting of core-js on Open Collective or Patreon: 
> https://opencollective.com/core-js 
> https://www.patreon.com/zloirock 

Also, the author of core-js ( https://github.com/zloirock ) is looking for a good job -)

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.3.2 (node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

added 469 packages from 1340 contributors in 9.849s

33 packages are looking for funding
  run `npm fund` for details

fixed 1 of 1 vulnerability in 472 scanned packages

$ npm audit fix --only=dev
npm WARN grunt-karma@4.0.0 requires a peer of karma@^4.0.0 || ^5.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.3.2 (node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

up to date in 14.325s

33 packages are looking for funding
  run `npm fund` for details

fixed 0 of 0 vulnerabilities in 472 scanned packages

$ npm audit fix --only=dev
npm WARN grunt-karma@4.0.0 requires a peer of karma@^4.0.0 || ^5.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.3.2 (node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

up to date in 2.635s

33 packages are looking for funding
  run `npm fund` for details

fixed 0 of 0 vulnerabilities in 472 scanned packages

$ package-lock-lint package-lock.json
0 issues found in: package-lock.json

Verifying that tests still pass
$ npm ci
npm WARN prepare removing existing node_modules/ before installation

> core-js@3.12.1 postinstall /src/repo/node_modules/core-js
> node -e "try{require('./postinstall')}catch(e){}"


> oojs-router@0.2.0 prepare /src/repo
> grunt build

Running "clean:dist" (clean) task
>> 0 paths cleaned.

Running "concat:router" (concat) task

Running "uglify:js" (uglify) task
>> 1 sourcemap created.
>> 1 file created 5.62 kB → 1.85 kB

Done.
added 472 packages in 9.824s

$ npm test

> oojs-router@0.2.0 test /src/repo
> grunt test

Running "eslint:all" (eslint) task

Running "git-build" task

Running "clean:dist" (clean) task
>> 3 paths cleaned.

Running "concat:router" (concat) task

Running "uglify:js" (uglify) task
>> 1 sourcemap created.
>> 1 file created 5.63 kB → 1.86 kB

Running "karma:main" (karma) task
07 06 2021 12:24:55.910:WARN [karma-server]: Passing raw CLI options to `new Server(config, done)` is deprecated. Use `parseConfig(configFilePath, cliOptions, {promiseConfig: true, throwErrors: true})` to prepare a processed `Config` instance and pass that as the `config` argument instead.
07 06 2021 12:24:56.606:INFO [karma-server]: Karma v6.3.2 server started at http://localhost:9876/
07 06 2021 12:24:56.606:INFO [launcher]: Launching browsers ChromeCustom with concurrency unlimited
07 06 2021 12:24:56.612:INFO [launcher]: Starting browser ChromeHeadless
07 06 2021 12:24:57.363:INFO [Chrome Headless 90.0.4430.212 (Linux x86_64)]: Connected on socket K--izFXDM6J-8YC0AAAB with id 50747373
..........
Chrome Headless 90.0.4430.212 (Linux x86_64): Executed 10 of 10 SUCCESS (0.119 secs / 0.089 secs)

=============================== Coverage summary ===============================
Statements   : 95.08% ( 58/61 )
Branches     : 81.25% ( 13/16 )
Functions    : 92.86% ( 13/14 )
Lines        : 95.08% ( 58/61 )
================================================================================

Running "karma:other" (karma) task
07 06 2021 12:24:57.818:WARN [karma-server]: Passing raw CLI options to `new Server(config, done)` is deprecated. Use `parseConfig(configFilePath, cliOptions, {promiseConfig: true, throwErrors: true})` to prepare a processed `Config` instance and pass that as the `config` argument instead.
07 06 2021 12:24:57.931:INFO [karma-server]: Karma v6.3.2 server started at http://localhost:9876/
07 06 2021 12:24:57.932:INFO [launcher]: Launching browsers FirefoxHeadless with concurrency unlimited
07 06 2021 12:24:57.934:INFO [launcher]: Starting browser FirefoxHeadless
07 06 2021 12:25:06.183:INFO [Firefox 78.0 (Linux x86_64)]: Connected on socket XXV32-3phZ4fausbAAAD with id 22321833
..........
Firefox 78.0 (Linux x86_64): Executed 10 of 10 SUCCESS (0.197 secs / 0.154 secs)

Done.

Upgrading n:ws from 7.4.5 -> 7.4.6
$ package-lock-lint package-lock.json
0 issues found in: package-lock.json

$ git add .

$ git commit -F /tmp/tmp3cyrp8lo
[master 9df4aa5] build: Updating ws to 7.4.6
 1 file changed, 3 insertions(+), 3 deletions(-)

$ git format-patch HEAD~1 --stdout
From 9df4aa50edb4bf258e390168ed952f6d4b1e6f42 Mon Sep 17 00:00:00 2001
From: libraryupgrader <tools.libraryupgrader@tools.wmflabs.org>
Date: Mon, 7 Jun 2021 12:25:07 +0000
Subject: [PATCH] build: Updating ws to 7.4.6

* https://npmjs.com/advisories/1748 (CVE-2021-32640)

Change-Id: Ic9ba848249e1d0180301a9dd91dd11ad948d8827
---
 package-lock.json | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/package-lock.json b/package-lock.json
index 3fd6477..7e9a3e7 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -4022,9 +4022,9 @@
 			"dev": true
 		},
 		"ws": {
-			"version": "7.4.5",
-			"resolved": "https://registry.npmjs.org/ws/-/ws-7.4.5.tgz",
-			"integrity": "sha512-xzyu3hFvomRfXKH8vOFMU3OguG6oOvhXMo3xsGy3xWExqaM2dxBbVxuD99O7m3ZUFMvvscsZDqxfgMaRr/Nr1g==",
+			"version": "7.4.6",
+			"resolved": "https://registry.npmjs.org/ws/-/ws-7.4.6.tgz",
+			"integrity": "sha512-YmhHDO4MzaDLB+M9ym/mDA5z0naX8j7SIlT8f8z+I0VtzsRbekxEutHSme7NPS2qE8StCYQNUnfWdXta/Yu85A==",
 			"dev": true
 		},
 		"y18n": {
-- 
2.20.1

Source code is licensed under the AGPL.